Skip to main content
GET
/
payments
/
{paymentId}
Find a payment by its id
curl --request GET \
  --url https://api.leanpay.fr/v1/public/payments/{paymentId} \
  --header 'Authorization: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "invoiceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "amount": 123,
  "date": "2023-12-25",
  "externalId": "<string>",
  "transaction": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "description": "<string>",
    "bankName": "<string>",
    "accountName": "<string>",
    "amount": 123
  },
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Path Parameters

paymentId
string<uuid>
required

Id of the payment

Response

Found payment

id
string<uuid>
tenantId
string<uuid>
clientId
string<uuid>
invoiceId
string<uuid>
amount
integer
date
string<date>
externalId
string | null
transaction
object
createdAt
string<date-time>
updatedAt
string<date-time>